org.apache.felix.bundlerepository.impl

## Class OSGiResourceImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.OSGiResourceImpl

All Implemented Interfaces:
  org.osgi.resource.Resource

    public class OSGiResourceImpl
    extends java.lang.Object
    implements org.osgi.resource.Resource

### Constructor Summary

Constructors
Constructor and Description
`OSGiResourceImpl(java.util.List<? extends org.osgi.resource.Capability> caps, java.util.List<? extends org.osgi.resource.Requirement> reqs)`

### Method Summary

Methods
`java.util.List<org.osgi.resource.Capability>` `getCapabilities(java.lang.String namespace)`
`java.util.List<org.osgi.resource.Requirement>` `getRequirements(java.lang.String namespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.osgi.resource.Resource

`equals, hashCode`

### Constructor Detail

#### OSGiResourceImpl

    public OSGiResourceImpl(java.util.List<? extends org.osgi.resource.Capability> caps,
                    java.util.List<? extends org.osgi.resource.Requirement> reqs)

### Method Detail

#### getCapabilities

    public java.util.List<org.osgi.resource.Capability> getCapabilities(java.lang.String namespace)

Specified by:
  `getCapabilities` in interface `org.osgi.resource.Resource`

#### getRequirements

    public java.util.List<org.osgi.resource.Requirement> getRequirements(java.lang.String namespace)

Specified by:
  `getRequirements` in interface `org.osgi.resource.Resource`